# -*-mode: python; indent-tabs-mode: nil; py-indent-offset: 4; coding: utf-8 -*

import re
from setuptools import setup, find_packages

with open("qasync/__init__.py") as f:
    version = re.search(r'__version__\s+=\s+"(.*)"', f.read()).group(1)

long_description = "\n\n".join([
    open("README.md").read(),
    ])

if __name__ == '__main__':
    setup(
        name="exclude_badExits",
        version=__version__,
        description="""A program to exclude bad exits on the Tor network""",
        long_description=long_description,
        author="Nusenu (originally)",
        author_email='',
        license="1clause BSD",
        packages = find_packages(exclude=['test*']),
        # url="",
        # download_url="https://",
        keywords=['exit nodes', 'Tor', 'tor onion controller'],
        # maybe less - nothing fancy
        python_requires="~=3.6",
        # probably works on PyQt6 and PySide2 but untested
        # https://github.com/CabbageDevelopment/qasync/
        install_requires=['cryptography',
                          'rsa',
                          'stem',
			  'urllib3',
                          'yaml'],
        entry_points={
            'console_scripts': ['exclude_badExits = exclude_badExits.__main__:iMain', ]},
        classifiers=[
                     'Development Status :: 4 - Beta',
                     'Environment :: Console',
                     'Intended Audience :: Developers',
                     'Natural Language :: English',
                     'Operating System :: OS Independent',
                     'Programming Language :: Python :: 3',
		     'Topic :: Security',
		     'Topic :: Software Development :: Libraries :: Python Modules',
                     ],
                     )
